/******************************************************************************
 *
 * 	Extended Functions header
 *
 *	Copyright (c) 2008	Janam Partners LLC. All rights reserved.
 *
 * 	File: 			JanamExtended.h
 *
 * 	Release: 		Palm OS 5.x
 *
 * 	Description: 	Extended Function Supported by BABBO
 *
 * 	History:	
 *	Version 1.0		PT, JL			Oct, 2006
 *	Version 1.1		PT, JL			May, 2007
 *		-Add ScnCmdGetSetExposureSettings function
 *	Version 1.2		PT, JL			Sep, 2008
 *		-Add ScnCmdGetSetDecodeCenteringWindow function 	
 *****************************************************************************/
 
// Extended functions supported by BABBO devices

#ifndef __JANAMEXTENDED_H__
#define __JANAMEXTENDED_H__

#include "JanamExtendedStruct.h"


//Read Write Symbology Config
Int16 ScnCmdReadSymbologyConfig(UInt8 Query, Int16 nSymId, SymFlagsRange_t *pSymStruct);
Int16 ScnCmdWriteSymbologyConfig(Int16 nSymId, SymFlagsRange_t *pvSym);

//OCR Support
Int16 ScnCmdSetupOCR(UInt8 nFont, char* pszTemplate, char* pszGroupG, char* pszGroupH, char* pszCheckChar);
Int16 ScnCmdGetSetupOCR(UInt8 QueryType, UInt8* pnFont, char* pszTemplate, char* pszGroupG, char* pszGroupH, char* pszCheckChar);

//On Off Aimer and Illum Lights
Int16 ScnCmdAimerOn(Int8 bEnable);
Int16 ScnCmdLightsOn(Int8 bEnable);

//Set the light mode during scan
Int16 ScnCmdGetSetLightsMode(Int8 Set,UInt8 QueryType, UInt8 *pLightsMode);

//ScanWedge
void ScnCmdScanWedge(Boolean state);

//Set the exposure setting of the Scanner
Int16 ScnCmdGetSetExposureMode(Int8 Set, Int8 *pExpMode);
Int16 ScnCmdGetSetExposureSettings(Int8 Set, Int32 * pArray, Int32 dwArrayLength);

//GetSet the decode options
Int16 ScnCmdGetSetDecodeOptions(Int8 Set,UInt8 QueryType, DecodeOptions_t *pDecodeOptions);

//GetSet the centering option
Int16 ScnCmdGetSetDecodeCenteringWindow(Int8 bSet, UInt8 QueryType, Int8 *pbEnabled, RECT *pInt16ersectRect);


#endif